Skip to main content
Network Management/Network Services
GETNetwork ServicesSince 0.6SynchronousAuth Required

QueryNetworkServiceL3NetworkRef

QueryNetworkServiceL3NetworkRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. See error

    • codeStringRequired

      Error code number, a globally unique identifier for the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root error: the source error that caused the current error. If there is no original error, this field is null

  • inventoriesListRequired

    See inventories

    • l3NetworkUuidStringRequired

      The Distributed Port Group UUID

    • networkServiceProviderUuidStringRequired

      The network service provider UUID

    • networkServiceTypeStringRequired

      No description provided.

Endpoint

GET/zstack/v1/l3-networks/network-services/refs

/zstack/v1/l3-networks/network-services/refs

Operation ID

QueryNetworkServiceL3NetworkRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks/network-services/refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "l3NetworkUuid": "fc5bd613a8fd45ed9b96ff5d99ae6717", "networkServiceProviderUuid": "f79573afadc44f4fb83aaf67eeb98cde", "networkServiceType": "PortForwarding" } ] }

Change History

This API has no change history records yet.

View all change history